using System;
using System.Collections.Generic;
using System.Linq;
using System.Data;
using System.Data.Sql;
using System.Data.SqlClient;
using System.Configuration;
using System.Web;
using System.Text;

namespace db
{
    public struct kategoriak
    {

        public int kategoria1;
        public int kategoria2;
        public int kategoria3;
        public int kategoria4;

        public kategoriak(int kategoria1, int kategoria2, int kategoria3, int kategoria4)
        {
            this.kategoria1 = kategoria1;
            this.kategoria2 = kategoria2;
            this.kategoria3 = kategoria3;
            this.kategoria4 = kategoria4;

        }
    }
    public struct kategoriak2
    {

        public string kategoria1;
        public string kategoria2;
        public string kategoria3;
        public string kategoria4;

        public kategoriak2(string kategoria1, string kategoria2, string kategoria3, string kategoria4)
        {
            this.kategoria1 = kategoria1;
            this.kategoria2 = kategoria2;
            this.kategoria3 = kategoria3;
            this.kategoria4 = kategoria4;

        }
    }
    public struct penznem
    {
        public int penznemID;
        public string penznemNev;
        public int arfolyam;

        public penznem(int penznemID, string penznemNev, int arfolyam)
        {
            this.penznemID = penznemID;
            this.penznemNev = penznemNev;
            this.arfolyam = arfolyam;
        }


    }
    public struct beosztas
    {
        public int beosztasID;
        public string beosztasNev;

        public beosztas(int beosztasID,string beosztasNev)
        {
            this.beosztasID = beosztasID;
            this.beosztasNev = beosztasNev;
        }
    }
    public struct szallitasicim
    {
        public int szCimID;
        public int cegID;
        public string varos;
        public string utcaHazszam;
        public string irszam;
        public int kontaktID;

        public szallitasicim (int cegID, string varos, string utcaHazszam, string irszam,int kontaktID)
        {
            
            this.cegID = cegID;
            this.varos = varos;
            this.utcaHazszam = utcaHazszam;
            this.irszam = irszam;
            this.kontaktID = kontaktID;
            szCimID = 0;
        }

        public szallitasicim (int cegID,int szCimID, string varos, string utcaHazszam, string irszam,int kontaktID)
        {
            
            this.cegID = cegID;
            this.szCimID = szCimID;
            this.varos = varos;
            this.utcaHazszam = utcaHazszam;
            this.irszam = irszam;
            this.kontaktID = kontaktID;
        }

    }
    public struct arsav
    {
        public int arsavID;
        public float szorzo;

        public arsav(int arsavID, float szorzo)
        {
            this.arsavID = arsavID;
            this.szorzo = szorzo;
        }
    }
    public struct kontakt
    {
        public int kontaktID;
        public int szcimID;
        public int beosztasID;
        public int cegID;
        public string nev;
        public string telefon;
        public string fax;
        public string mobil;
        public string email;

        public kontakt(int kontaktID, int szcimID,int beosztasID,int cegID,string nev, string telefon, string fax, string mobil, string email)
        {
            this.kontaktID = kontaktID;
            this.szcimID = szcimID;
            this.beosztasID = beosztasID;
            this.cegID = cegID;
            this.nev = nev;
            this.telefon = telefon;
            this.fax = fax;
            this.mobil = mobil;
            this.email = email;
        }

    }
    public struct cegLista
    {
        public int cegID;
        public string cegNev;
        public string varos;
        public string utca;
        public string hazszam;
        public string irszam;
        public int hitelkeret;
        public int arsavID;
        public string adoszam;
        public string euadoszam;
        public string bankszamlaszam;
        public int disztriKontaktID;

        public cegLista(int cegID, string cegNev, string varos, string utca, string hazszam, string irszam, int hitelkeret, int arsavID, string adoszam, string euadoszam, string bankszamlaszam)
        {
            this.cegID = cegID;
            this.cegNev = cegNev;
            this.varos = varos;
            this.utca = utca;
            this.hazszam = hazszam;
            this.irszam = irszam;
            this.hitelkeret = hitelkeret;
            this.arsavID = arsavID;
            this.adoszam = adoszam;
            this.euadoszam = euadoszam;
            this.bankszamlaszam = bankszamlaszam;
            disztriKontaktID=0;

        }

        public cegLista(int cegID, string cegNev, string varos, string utca, string hazszam, string irszam, int hitelkeret, int arsavID, string adoszam, string euadoszam, string bankszamlaszam, int disztriKontaktID)
        {
            this.cegID = cegID;
            this.cegNev = cegNev;
            this.varos = varos;
            this.utca = utca;
            this.hazszam = hazszam;
            this.irszam = irszam;
            this.hitelkeret = hitelkeret;
            this.arsavID = arsavID;
            this.adoszam = adoszam;
            this.euadoszam = euadoszam;
            this.bankszamlaszam = bankszamlaszam;
            this.disztriKontaktID = disztriKontaktID;

        }
    }
    public struct gyartoKat1ID
    {
        public int katID;
        public string megnevezes;
        public int termekmanagerID;
        public string kep;

       public gyartoKat1ID(int katID, string megnevezes, int termekmanagerID, string kep)
        {
            this.katID = katID;
            this.megnevezes = megnevezes;
            this.termekmanagerID = termekmanagerID;
            this.kep = kep;
        }
    }
    public struct disztriKontakt
    {
        public int disztriKontaktID;
        public string nev;
        public string mobil;
        public string mail;

        public disztriKontakt(int termekManagerID,string nev, string mobil, string mail)
        {
            this.disztriKontaktID = termekManagerID;
            this.nev = nev;
            this.mobil = mobil;
            this.mail = mail;
        }

    
    }
    public struct termekLista2
    {
        public int termekID;
        public string cikkszam;
        public string megnevezes;
        public string termekleiras;
        public string imgPic;
        public int kat1ID;
        public int kat2ID;
        public int kat3ID;
        public int kat4ID;


        
        public termekLista2(int termekID, string cikkszam, string megnevezes, string termekleiras, string imgPic, int kat1ID, int kat2ID, int kat3ID, int kat4ID)
        {
            this.termekID = termekID;
            this.cikkszam = cikkszam;
            this.megnevezes = megnevezes;
            this.termekleiras = termekleiras;
            this.imgPic = imgPic;
            this.kat1ID = kat1ID;
            this.kat2ID = kat2ID;
            this.kat3ID = kat3ID;
            this.kat4ID = kat4ID;
        }
    }
    public struct termekLista
    {
        public int termekID;
        public string cikkszam;
        public string megnevezes;
        public string termekleiras;
        public int ar;
        public string imgPic;
        public int keszlet;
        public int rendelendo;


        public termekLista(int termekID, string cikkszam, string megnevezes, string termekleiras, int ar, string imgPic)
        {
            this.termekID = termekID;
            this.cikkszam = cikkszam;
            this.megnevezes = megnevezes;
            this.termekleiras = termekleiras;
            this.ar = ar;
            this.imgPic = imgPic;
            keszlet = 0;
            rendelendo = 0;
        }
        public termekLista(int termekID, string cikkszam, string megnevezes, string termekleiras, int ar, string imgPic, int keszlet, int rendelendo)
        {
            this.termekID = termekID;
            this.cikkszam = cikkszam;
            this.megnevezes = megnevezes;
            this.termekleiras = termekleiras;
            this.ar = ar;
            this.imgPic = imgPic;
            this.keszlet = keszlet;
            this.rendelendo = rendelendo;
        }
    }
    public struct kategoriaElemek
    {
        public string kategoriaElem;
        public kategoriaElemek(string kategoriaElem)
        {
            this.kategoriaElem = kategoriaElem;
        }
    }
    public struct kosarTermekLista
    {
        public int termekID;
        public string cikkszam;
        public string megnevezes;
        public int ar;
        public int mennyiseg;


        public kosarTermekLista(int termekID, string cikkszam, string megnevezes, int ar, int mennyiseg)
        {
            this.termekID = termekID;
            this.cikkszam = cikkszam;
            this.megnevezes = megnevezes;
            this.ar = ar;
            this.mennyiseg = mennyiseg;

        }

    }
    public struct megrendeles
    {
        public int megrendelesID;
        public int megrendelesSzam;
        public DateTime megRendKelte;
        public int cegID;
        public int szCimID;
        public int eszkozID;
        public int eszkozAR;
        public int eszkozMennyiseg;
        public int szallitvaDB;
        public string megjegyzes;
        public int resszallitas;

        public megrendeles(int megrendelesID, int megrendelesSzam, DateTime megRendKelte, int cegID, int szCimID, int eszkozID, int eszkozAR, int eszkozMennyiseg, int szallitvaDB, string megjegyzes, int resszallitas)
        {
            this.megrendelesID = megrendelesID;
            this.megrendelesSzam = megrendelesSzam;
            this.megRendKelte = megRendKelte;
            this.cegID = cegID;
            this.szCimID = szCimID;
            this.eszkozID = eszkozID;
            this.eszkozAR = eszkozAR;
            this.eszkozMennyiseg = eszkozMennyiseg;
            this.szallitvaDB = szallitvaDB;
            this.megjegyzes = megjegyzes;
            this.resszallitas = resszallitas;
        }
    }

    public class Class1
    {
    }
    public class adatbazisMuveletek
    {
        public adatbazisMuveletek()
        {
        }

        public static bool katNameToKatID(int listBoxSzama, string katName, out int katID)
        {
            katID=0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_KAT"+listBoxSzama.ToString()+" FROM kategoria"+listBoxSzama.ToString()+" WHERE kat"+listBoxSzama.ToString()+"Name ='"+katName.ToString()+"'" ;
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    katID = Convert.ToInt32(sqlRd[0].ToString());
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool catIdLekerdez(int katSzam, string katName, out int katID)
        {
            katID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_KAT" + katSzam.ToString() + " FROM kategoria" + katSzam.ToString() + " WHERE kat" + katSzam.ToString() + "Name ='" + katName.ToString() + "'";
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    katID = Convert.ToInt32(sqlRd[0].ToString());
                }
                sqlRd.Close();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool katIDToKatName(int listBoxSzama, int katID, out string katName)
        {
            katName = "";
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT kat"+listBoxSzama.ToString()+"Name FROM kategoria" + listBoxSzama.ToString() + " WHERE ID_KAT" + listBoxSzama.ToString() + "=" + katID.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    katName = sqlRd[0].ToString();
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool kategoriaLekerdezesek(string kat1Name, string kat2Name, string kat3Name, string kat4Name, out List<kategoriak2> kategoriaTomb)
        {
            kategoriaTomb = new List<kategoriak2>();
            string feltetel1, feltetel2, feltetel3, feltetel4;
            if (kat1Name.Equals("Összes") || kat1Name.Equals("")) { feltetel1 = "ID_KAT1 > 0"; } else { int katID1;  db.adatbazisMuveletek.katNameToKatID(1, kat1Name, out katID1); feltetel1 = "ID_KAT1 =" + katID1.ToString() + ""; }
            if (kat2Name.Equals("Összes") || kat2Name.Equals("")) { feltetel2 = "ID_KAT2 > 0"; } else { int katID2; db.adatbazisMuveletek.katNameToKatID(2, kat2Name, out katID2); feltetel2 = "ID_KAT2 =" + katID2.ToString() + ""; }
            if (kat3Name.Equals("Összes") || kat3Name.Equals("")) { feltetel3 = "ID_KAT3 > 0"; } else { int katID3; db.adatbazisMuveletek.katNameToKatID(3, kat3Name, out katID3); feltetel3 = "ID_KAT3 =" + katID3.ToString() + ""; }
            if (kat4Name.Equals("Összes") || kat4Name.Equals("")) { feltetel4 = "ID_KAT4 > 0"; } else { int katID4; db.adatbazisMuveletek.katNameToKatID(4, kat4Name, out katID4); feltetel4 = "ID_KAT4 =" + katID4.ToString() + ""; }
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT * FROM Eszkoz WHERE ("+feltetel1+" AND "+feltetel2+" AND "+feltetel3+" AND "+feltetel4+")";
                
                //parancs.CommandText = "SELECT ID_KAT2, ID_KAT3, ID_KAT4 FROM Eszkoz WHERE ID_KAT1 ="+gyarto.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {

                    kategoriaTomb.Add(new kategoriak2(sqlRd[2].ToString(), sqlRd[3].ToString(), sqlRd[4].ToString(), sqlRd[5].ToString()));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool kategoriaLekerdezesek2(string kat1Name, string kat2Name, string kat3Name, string kat4Name, string @tbSearchText, out List<kategoriak2> kategoriaTomb)
        {
            kategoriaTomb = new List<kategoriak2>();
            string feltetel1, feltetel2, feltetel3, feltetel4, sqlParancsKiegeszito = "";
            string[] keresesiFeltetel = tbSearchText.Split(new Char[] { ' ', '-', '/', ';' });

            if (kat1Name.Equals("Összes") || kat1Name.Equals("")) { feltetel1 = "ID_KAT1 > 0"; } else { int katID1; db.adatbazisMuveletek.katNameToKatID(1, kat1Name, out katID1); feltetel1 = "ID_KAT1 =" + katID1.ToString() + ""; }
            if (kat2Name.Equals("Összes") || kat2Name.Equals("")) { feltetel2 = "ID_KAT2 > 0"; } else { int katID2; db.adatbazisMuveletek.katNameToKatID(2, kat2Name, out katID2); feltetel2 = "ID_KAT2 =" + katID2.ToString() + ""; }
            if (kat3Name.Equals("Összes") || kat3Name.Equals("")) { feltetel3 = "ID_KAT3 > 0"; } else { int katID3; db.adatbazisMuveletek.katNameToKatID(3, kat3Name, out katID3); feltetel3 = "ID_KAT3 =" + katID3.ToString() + ""; }
            if (kat4Name.Equals("Összes") || kat4Name.Equals("")) { feltetel4 = "ID_KAT4 > 0"; } else { int katID4; db.adatbazisMuveletek.katNameToKatID(4, kat4Name, out katID4); feltetel4 = "ID_KAT4 =" + katID4.ToString() + ""; }
            for (int i = 0; i < keresesiFeltetel.Count(); i++)
            {
                if (i == 0)
                {
                    sqlParancsKiegeszito += "WHERE ID_ESZKOZ IN (SELECT ID_ESZKOZ FROM Eszkoz AS Eszkoz_" + i.ToString() + " WHERE (" + feltetel1 + " AND " + feltetel2 + " AND " + feltetel3 + " AND " + feltetel4 + " AND (cikkszam LIKE '%" + keresesiFeltetel[i] + "%' OR megnevezes LIKE '%" + keresesiFeltetel[i] + "%' OR termekleiras LIKE '%" + keresesiFeltetel[i] + "%')))";
                }
                else
                {
                    sqlParancsKiegeszito += "AND ID_ESZKOZ IN (SELECT ID_ESZKOZ FROM Eszkoz AS Eszkoz_" + i.ToString() + " WHERE (" + feltetel1 + " AND " + feltetel2 + " AND " + feltetel3 + " AND " + feltetel4 + " AND (cikkszam LIKE '%" + keresesiFeltetel[i] + "%' OR megnevezes LIKE '%" + keresesiFeltetel[i] + "%' OR termekleiras LIKE '%" + keresesiFeltetel[i] + "%')))";
                }

            }
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                if (tbSearchText.Length == 0)
                {
                    parancs.CommandText = "SELECT * FROM Eszkoz WHERE (" + feltetel1 + " AND " + feltetel2 + " AND " + feltetel3 + " AND " + feltetel4 + ")";
                }
                else
                {
                    parancs.CommandText = "SELECT * FROM Eszkoz " + sqlParancsKiegeszito;

                }

                //parancs.CommandText = "SELECT ID_KAT2, ID_KAT3, ID_KAT4 FROM Eszkoz WHERE ID_KAT1 ="+gyarto.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {

                    kategoriaTomb.Add(new kategoriak2(sqlRd[2].ToString(), sqlRd[3].ToString(), sqlRd[4].ToString(), sqlRd[5].ToString()));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool kategoriaLekerdezes(int kategoriaSzam, out List<kategoriaElemek> katElemek)
        {
            int i = 0;
            katElemek = new List<kategoriaElemek>();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                switch (kategoriaSzam)
                {
                    case 1: parancs.CommandText = "SELECT kat1Name From kategoria1"; break;
                    case 2: parancs.CommandText = "SELECT kat2Name From kategoria2"; break;
                    case 3: parancs.CommandText = "SELECT kat3Name From kategoria3"; break;
                    case 4: parancs.CommandText = "SELECT kat4Name From kategoria4"; break;
                }
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    katElemek.Add(new kategoriaElemek(sqlRd[0].ToString()));
                    i++;
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool termekListaLekerdezes(string kat1Name, string kat2Name, string kat3Name, string kat4Name, out List<termekLista> termekLista)
        {
            termekLista = new List<termekLista>();
            string feltetel1, feltetel2, feltetel3, feltetel4;
            if (kat1Name.Equals("Összes") || kat1Name.Equals("")) { feltetel1 = "ID_KAT1 > 0"; } else { int katID1; db.adatbazisMuveletek.katNameToKatID(1, kat1Name, out katID1); feltetel1 = "ID_KAT1 =" + katID1.ToString() + ""; }
            if (kat2Name.Equals("Összes") || kat2Name.Equals("")) { feltetel2 = "ID_KAT2 > 0"; } else { int katID2; db.adatbazisMuveletek.katNameToKatID(2, kat2Name, out katID2); feltetel2 = "ID_KAT2 =" + katID2.ToString() + ""; }
            if (kat3Name.Equals("Összes") || kat3Name.Equals("")) { feltetel3 = "ID_KAT3 > 0"; } else { int katID3; db.adatbazisMuveletek.katNameToKatID(3, kat3Name, out katID3); feltetel3 = "ID_KAT3 =" + katID3.ToString() + ""; }
            if (kat4Name.Equals("Összes") || kat4Name.Equals("")) { feltetel4 = "ID_KAT4 > 0"; } else { int katID4; db.adatbazisMuveletek.katNameToKatID(4, kat4Name, out katID4); feltetel4 = "ID_KAT4 =" + katID4.ToString() + ""; }
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT * FROM Eszkoz WHERE (" + feltetel1 + " AND " + feltetel2 + " AND " + feltetel3 + " AND " + feltetel4 + ")";

                //parancs.CommandText = "SELECT ID_KAT2, ID_KAT3, ID_KAT4 FROM Eszkoz WHERE ID_KAT1 ="+gyarto.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {

                    termekLista.Add(new termekLista(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[6].ToString(), sqlRd[7].ToString(), Convert.ToInt32(sqlRd[8].ToString()),sqlRd[9].ToString()));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool termekLekerdezes(int termekID, out termekLista termekJellemzok)
        {
            termekJellemzok = new termekLista();
            int ar;

            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT * FROM Eszkoz WHERE ID_ESZKOZ='" + termekID.ToString() + "'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                //parancs.CommandText = "SELECT ID_KAT2, ID_KAT3, ID_KAT4 FROM Eszkoz WHERE ID_KAT1 ="+gyarto.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    if (sqlRd[8].ToString().Length == 0) { ar = 0; } else { ar = Convert.ToInt32(sqlRd[8].ToString()); }
                    termekJellemzok = new termekLista(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[6].ToString(), sqlRd[7].ToString(), ar, sqlRd[9].ToString(), Convert.ToInt32(sqlRd[10].ToString()), Convert.ToInt32(sqlRd[14].ToString()));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool termekListaLekerdezes2(string kat1Name, string kat2Name, string kat3Name, string kat4Name, string tbSearchText, out List<termekLista> termekLista)
        {
            termekLista = new List<termekLista>();
            string feltetel1, feltetel2, feltetel3, feltetel4, sqlParancsKiegeszito="";
            string[] keresesiFeltetel = tbSearchText.Split(new Char[] { ' ','-','/',';' });
            
            if (kat1Name.Equals("Összes") || kat1Name.Equals("")) { feltetel1 = "ID_KAT1 > 0"; } else { int katID1; db.adatbazisMuveletek.katNameToKatID(1, kat1Name, out katID1); feltetel1 = "ID_KAT1 =" + katID1.ToString() + ""; }
            if (kat2Name.Equals("Összes") || kat2Name.Equals("")) { feltetel2 = "ID_KAT2 > 0"; } else { int katID2; db.adatbazisMuveletek.katNameToKatID(2, kat2Name, out katID2); feltetel2 = "ID_KAT2 =" + katID2.ToString() + ""; }
            if (kat3Name.Equals("Összes") || kat3Name.Equals("")) { feltetel3 = "ID_KAT3 > 0"; } else { int katID3; db.adatbazisMuveletek.katNameToKatID(3, kat3Name, out katID3); feltetel3 = "ID_KAT3 =" + katID3.ToString() + ""; }
            if (kat4Name.Equals("Összes") || kat4Name.Equals("")) { feltetel4 = "ID_KAT4 > 0"; } else { int katID4; db.adatbazisMuveletek.katNameToKatID(4, kat4Name, out katID4); feltetel4 = "ID_KAT4 =" + katID4.ToString() + ""; }
            for (int i = 0; i < keresesiFeltetel.Count(); i++)
            {
                if (i == 0)
                {
                    sqlParancsKiegeszito += "WHERE ID_ESZKOZ IN (SELECT ID_ESZKOZ FROM Eszkoz AS Eszkoz_" + i.ToString() + " WHERE (" + feltetel1 + " AND " + feltetel2 + " AND " + feltetel3 + " AND " + feltetel4 + " AND (cikkszam LIKE '%" + keresesiFeltetel[i] + "%' OR megnevezes LIKE '%" + keresesiFeltetel[i] + "%' OR termekleiras LIKE '%" + keresesiFeltetel[i] + "%')))";
                }
                else
                {
                    sqlParancsKiegeszito += "AND ID_ESZKOZ IN (SELECT ID_ESZKOZ FROM Eszkoz AS Eszkoz_" + i.ToString() + " WHERE (" + feltetel1 + " AND " + feltetel2 + " AND " + feltetel3 + " AND " + feltetel4 + " AND (cikkszam LIKE '%" + keresesiFeltetel[i] + "%' OR megnevezes LIKE '%" + keresesiFeltetel[i] + "%' OR termekleiras LIKE '%" + keresesiFeltetel[i] + "%')))";
                }

            }
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                if (tbSearchText.Length == 0)
                {
                    parancs.CommandText = "SELECT * FROM Eszkoz WHERE (" + feltetel1 + " AND " + feltetel2 + " AND " + feltetel3 + " AND " + feltetel4 + ")";
                }
                else
                {
                    parancs.CommandText = "SELECT * FROM Eszkoz " + sqlParancsKiegeszito;

                }
                //parancs.CommandText = "SELECT ID_KAT2, ID_KAT3, ID_KAT4 FROM Eszkoz WHERE ID_KAT1 ="+gyarto.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {

                    termekLista.Add(new termekLista(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[6].ToString(), sqlRd[7].ToString(), Convert.ToInt32(sqlRd[8].ToString()), sqlRd[9].ToString()));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool cikkszamTotermekLekerdezes(string cikkszam, out termekLista2 termekJellemzok)
        {
            termekJellemzok = new termekLista2();
            int ar;

            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_ESZKOZ, cikkszam, megnevezes, termekleiras, kep, ID_KAT1, ID_KAT2, ID_KAT3, ID_KAT4  FROM Eszkoz WHERE cikkszam='" + cikkszam.ToString() + "'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                //parancs.CommandText = "SELECT ID_KAT2, ID_KAT3, ID_KAT4 FROM Eszkoz WHERE ID_KAT1 ="+gyarto.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    //if (sqlRd[8].ToString().Length == 0) { ar = 0; } else { ar = Convert.ToInt32(sqlRd[8].ToString()); }
                    termekJellemzok = new termekLista2(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[2].ToString(), sqlRd[3].ToString(), sqlRd[4].ToString(), Convert.ToInt32(sqlRd[5].ToString()),Convert.ToInt32(sqlRd[6].ToString()),Convert.ToInt32(sqlRd[7].ToString()),Convert.ToInt32(sqlRd[8].ToString()) );

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool ujCikkFelvitel(string cikkszam, string megnevezes, string termekleiras, string imgPic,int elTermJel,int masTermJel,int harTermJel,int negyTermJel)
        {
            //if(imgPic == "")imgPic = null;
            string sqlparancs;
            try
            {
           if(imgPic.Length==0)
           {
                sqlparancs = "INSERT INTO Eszkoz (cikkszam,megnevezes,termekleiras,ID_KAT1,ID_KAT2,ID_KAT3, ID_KAT4,ar,keszlet,rendeledo) VALUES ('" + cikkszam + "','" + megnevezes + "', '" + termekleiras + "'," + elTermJel.ToString() + "," + masTermJel.ToString() + "," + harTermJel.ToString() + "," + negyTermJel.ToString() + ",0,0,0)";
           }
           else
           {
               sqlparancs = "INSERT INTO Eszkoz (cikkszam,megnevezes,termekleiras,kep,ID_KAT1,ID_KAT2,ID_KAT3, ID_KAT4,ar,keszlet,rendeledo) VALUES ('" + cikkszam + "','" + megnevezes + "', '" + termekleiras + "', '" + imgPic + "'," + elTermJel.ToString() + "," + masTermJel.ToString() + "," + harTermJel.ToString() + "," + negyTermJel.ToString() + ",0,0,0)";

           }

           SqlConnection kapcsolat = new SqlConnection();
           kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

           SqlCommand parancs = new SqlCommand();
           parancs.Connection = kapcsolat;
           parancs.CommandText = sqlparancs;
           kapcsolat.Open();
           parancs.ExecuteNonQuery();
           kapcsolat.Close();
                
           
           return true;

           }
           catch (Exception ex)
           {
               return false;
           }
        }
        public static bool termekUpdate(int termekID,string cikkszam, string megnevezes, string termekleiras, string imgPic, int elTermJel, int masTermJel, int harTermJel, int negyTermJel)
        {
            
            string sqlparancs;
            try
            {
                //sqlparancs = "UPDATE Eszkoz SET keszlet=" + mennyiseg.ToString() + ", ar=" + ar.ToString() + " where ID_ESZKOZ=" + termekID.ToString();
                if (imgPic.Length == 0)
                {
                    sqlparancs = "UPDATE Eszkoz SET cikkszam='"+cikkszam.ToString()+"',megnevezes='"+megnevezes.ToString()+"',termekleiras='"+termekleiras.ToString()+"',ID_KAT1="+elTermJel.ToString()+",ID_KAT2="+masTermJel.ToString()+",ID_KAT3="+harTermJel.ToString()+",ID_KAT4="+negyTermJel.ToString() + " WHERE ID_ESZKOZ="+termekID.ToString();
                }
                else
                {

                    sqlparancs = "UPDATE Eszkoz SET cikkszam ='" + cikkszam.ToString() + "',megnevezes='" + megnevezes.ToString() + "',termekleiras='" + termekleiras.ToString() + "',kep='"+ imgPic.ToString() +"',ID_KAT1=" + elTermJel.ToString() + ",ID_KAT2=" + masTermJel.ToString() + ",ID_KAT3=" + harTermJel.ToString() + ", ID_KAT4=" + negyTermJel.ToString() + " WHERE ID_ESZKOZ=" + termekID.ToString();
                }

                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();


                return true;

            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool katFelvitel(int katSzam,string katNev)
        {
            string sqlparancs = "";
            try
            {
                
                switch(katSzam)
                {
                    case 1: sqlparancs = "INSERT INTO kategoria1 (kat1Name) VALUES ('" + katNev + "')"; break;
                    case 2: sqlparancs = "INSERT INTO kategoria2 (kat2Name) VALUES ('" + katNev + "')"; break;
                    case 3: sqlparancs = "INSERT INTO kategoria3 (kat3Name) VALUES ('" + katNev + "')"; break;
                    case 4: sqlparancs = "INSERT INTO kategoria4 (kat4Name) VALUES ('" + katNev + "')"; break;
                }

                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();

                return true;
            }

            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool cikkszamLekerdezes(string cikkszam, out int Count)
        {
            Count = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT COUNT(*) FROM Eszkoz WHERE cikkszam='" + cikkszam.ToString() + "'";
                kapcsolat.Open();
                Count = (int)parancs.ExecuteScalar();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool cikkszamToID(string cikkszam, out int ID)
        {
            ID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_ESZKOZ FROM Eszkoz WHERE cikkszam='" + cikkszam.ToString() + "'";
                kapcsolat.Open();
                ID = (int)parancs.ExecuteScalar();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool arfolyamLekerdezes(int penznemID, out penznem penznemLista)
        {
            penznemLista = new penznem();
            try
            {
                
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT * FROM Penznem WHERE ID_PENZNEM=" + penznemID.ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    penznemLista = new penznem(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), Convert.ToInt32(sqlRd[2].ToString()));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool penznemToArfolyam(string penznemNev, out int arfolyam)
        {
            arfolyam = 0;
            try
            {

                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT arfolyam FROM Penznem WHERE penznem='" + penznemNev +"'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                arfolyam = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool bevetelezesUpdate(int termekID, int mennyiseg, int ar)
        {
            string sqlparancs = "";
            try
            {

                
                sqlparancs = "UPDATE Eszkoz SET keszlet="+ mennyiseg.ToString()+", ar="+ar.ToString()+" where ID_ESZKOZ="+termekID.ToString();
                    

                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();

                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarTartalomLekerdezese(int felhasznaloID, out List<kosarTermekLista> kosarTermekLista)
        {
            kosarTermekLista = new List<kosarTermekLista>();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT Eszkoz.ID_ESZKOZ, Eszkoz.cikkszam, Eszkoz.megnevezes, Eszkoz.ar, kosarTartalma.mennyiseg FROM Eszkoz INNER JOIN kosarTartalma ON Eszkoz.ID_ESZKOZ = kosarTartalma.ID_ESZKOZ AND kosarTartalma.ID_FELHASZNALO =" + felhasznaloID.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {

                    kosarTermekLista.Add(new kosarTermekLista(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[2].ToString(), Convert.ToInt32(sqlRd[3].ToString()), Convert.ToInt32(sqlRd[4].ToString())));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarbolEgyTermekLekerdezese(int felhasznaloID, int termekID, out List<kosarTermekLista> kosarTermekLista)
        {
            kosarTermekLista = new List<kosarTermekLista>();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT Eszkoz.ID_ESZKOZ, Eszkoz.cikkszam, Eszkoz.megnevezes, Eszkoz.ar, kosarTartalma.mennyiseg FROM Eszkoz INNER JOIN kosarTartalma ON Eszkoz.ID_ESZKOZ = kosarTartalma.ID_ESZKOZ AND kosarTartalma.ID_FELHASZNALO =" + felhasznaloID.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {

                    kosarTermekLista.Add(new kosarTermekLista(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[2].ToString(), Convert.ToInt32(sqlRd[3].ToString()), Convert.ToInt32(sqlRd[4].ToString())));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarbaTesz(int termekID, int mennyiseg, int szerepelE, int felhasznaloID)
        {
            string sqlparancs = "";
            int keszlet = 0;
            try
            {
                if (szerepelE != 0)
                {
                    sqlparancs = "UPDATE kosarTartalma SET mennyiseg=mennyiseg+" + mennyiseg.ToString() + " WHERE ( ID_ESZKOZ=" + termekID.ToString() + " AND ID_FELHASZNALO=" + felhasznaloID.ToString() + " )";
                }
                else
                {
                    sqlparancs = "INSERT INTO kosarTartalma (ID_FELHASZNALO, ID_ESZKOZ, mennyiseg) VALUES (" + felhasznaloID.ToString() + "," + termekID.ToString() + ", " + mennyiseg.ToString() + ")";
                }
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                sqlparancs = "SELECT keszlet FROM Eszkoz WHERE ID_ESZKOZ=" + termekID.ToString();
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                keszlet = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                if (keszlet < mennyiseg)
                { sqlparancs = "UPDATE Eszkoz SET keszlet=0,rendelendo=rendelendo+" + mennyiseg.ToString() + "-" + keszlet.ToString() + " WHERE ID_ESZKOZ=" + termekID.ToString(); }
                if (keszlet >= mennyiseg)
                { sqlparancs = "UPDATE Eszkoz SET keszlet=keszlet-" + mennyiseg.ToString() + " WHERE ID_ESZKOZ=" + termekID.ToString(); }
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarUpdateNovel(int termekID, int mennyiseg, int szerepelE, int felhasznaloID)
        {
            string sqlparancs = "";
            int keszlet = 0;
            try
            {
                sqlparancs = "UPDATE kosarTartalma SET mennyiseg=mennyiseg+" + mennyiseg.ToString() + " WHERE ( ID_ESZKOZ=" + termekID.ToString() + " AND ID_FELHASZNALO=" + felhasznaloID.ToString() + " )";
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                sqlparancs = "SELECT keszlet FROM Eszkoz WHERE ID_ESZKOZ=" + termekID.ToString();
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                keszlet = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                if (keszlet < mennyiseg)
                { sqlparancs = "UPDATE Eszkoz SET keszlet=0,rendelendo=rendelendo+" + mennyiseg.ToString() + "-" + keszlet.ToString() + " WHERE ID_ESZKOZ=" + termekID.ToString(); }
                if (keszlet >= mennyiseg)
                { sqlparancs = "UPDATE Eszkoz SET keszlet=keszlet-" + mennyiseg.ToString() + " WHERE ID_ESZKOZ=" + termekID.ToString(); }
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarUpdateCsokkent(int termekID, int kulonbseg, int szerepelE, int felhasznaloID)
        {
            string sqlparancs = "";
            int keszlet = 0;
            int rendelendo = 0;
            try
            {
                sqlparancs = "UPDATE kosarTartalma SET mennyiseg=mennyiseg-" + kulonbseg.ToString() + " WHERE ( ID_ESZKOZ=" + termekID.ToString() + " AND ID_FELHASZNALO=" + felhasznaloID.ToString() + " )";
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                sqlparancs = "SELECT keszlet FROM Eszkoz WHERE ID_ESZKOZ=" + termekID.ToString();
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                keszlet = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                sqlparancs = "SELECT rendelendo FROM Eszkoz WHERE ID_ESZKOZ=" + termekID.ToString();
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                rendelendo = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                if (rendelendo < kulonbseg)
                { sqlparancs = "UPDATE Eszkoz SET keszlet=keszlet+" + kulonbseg.ToString() + "-" + rendelendo.ToString() + ",rendelendo=0 WHERE ID_ESZKOZ=" + termekID.ToString(); }
                if (rendelendo > kulonbseg)
                { sqlparancs = "UPDATE Eszkoz SET rendelendo=" + rendelendo.ToString() + "-" + kulonbseg.ToString() + " WHERE ID_ESZKOZ=" + termekID.ToString(); }
                if (rendelendo == kulonbseg)
                { sqlparancs = "UPDATE Eszkoz SET rendelendo=0 WHERE ID_ESZKOZ=" + termekID.ToString(); }
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarbanVanEMarIlyenTermek(int termekID, int felhasznalo, out int szerepelE)
        {
            szerepelE = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT COUNT(*) FROM kosarTartalma WHERE ( ID_ESZKOZ=" + termekID.ToString() + " AND ID_FELHASZNALO=" + felhasznalo.ToString() + " )";
                kapcsolat.Open();
                szerepelE = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarbolEszkozTorlese(int termekID, int felhasznalo)
        {
            string sqlparancs = "";
            int mennyiseg = 0;
            int keszlet = 0;
            int rendelendo = 0;
            try
            {

                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                sqlparancs = "SELECT mennyiseg FROM kosarTartalma WHERE ( ID_ESZKOZ=" + termekID.ToString() + " AND ID_FELHASZNALO=" + felhasznalo.ToString() + " )";
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                mennyiseg = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                sqlparancs = "SELECT keszlet FROM Eszkoz WHERE ID_ESZKOZ=" + termekID.ToString();
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                keszlet = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                sqlparancs = "SELECT rendelendo FROM Eszkoz WHERE ID_ESZKOZ=" + termekID.ToString();
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                rendelendo = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                sqlparancs = "DELETE FROM kosarTartalma WHERE ( ID_ESZKOZ=" + termekID.ToString() + " AND ID_FELHASZNALO=" + felhasznalo.ToString() + " )";
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                if (mennyiseg < rendelendo) sqlparancs = "UPDATE Eszkoz SET keszlet=0 ,rendelendo=rendelendo-" + mennyiseg.ToString() + " WHERE ID_ESZKOZ=" + termekID.ToString();
                if (mennyiseg == rendelendo) sqlparancs = "UPDATE Eszkoz SET keszlet=0 ,rendelendo=0 WHERE ID_ESZKOZ=" + termekID.ToString();
                if (mennyiseg > rendelendo) sqlparancs = "UPDATE Eszkoz SET keszlet=keszlet+" + mennyiseg.ToString() + "-" + rendelendo.ToString() + " ,rendelendo=0 WHERE ID_ESZKOZ=" + termekID.ToString();
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();

                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarbolEszkozTorleseMegrendelesEseten(int termekID, int felhasznalo)
        {
            string sqlparancs = "";
            int mennyiseg = 0;
            int keszlet = 0;
            int rendelendo = 0;
            try
            {

                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                sqlparancs = "DELETE FROM kosarTartalma WHERE ( ID_ESZKOZ=" + termekID.ToString() + " AND ID_FELHASZNALO=" + felhasznalo.ToString() + " )";
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kosarbolEszkozFoglaltsaganaklekerdezese(int eszkozID, out int lefoglaltMennyiseg)
        {
            int rendelendo = 0;
            lefoglaltMennyiseg = 0;
            int megrendeltMennyiseg = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT rendelendo FROM Eszkoz WHERE ID_ESZKOZ=" + eszkozID.ToString();
                kapcsolat.Open();
                rendelendo = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                parancs.CommandText = "SELECT SUM(eszk_darabszam) FROM Megrendeles WHERE ID_ESZKOZ=" + eszkozID.ToString();
                kapcsolat.Open();
                if (parancs.ExecuteScalar().ToString().Length > 0) { megrendeltMennyiseg = (int)parancs.ExecuteScalar(); }
                kapcsolat.Close();
                parancs.CommandText = "SELECT mennyiseg FROM kosarTartalma WHERE ID_ESZKOZ=" + eszkozID.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    lefoglaltMennyiseg += Convert.ToInt32(sqlRd[0].ToString());
                }
                sqlRd.Close();
                kapcsolat.Close();
                if (lefoglaltMennyiseg == 0) { lefoglaltMennyiseg = 0; }
                if (rendelendo > lefoglaltMennyiseg) { lefoglaltMennyiseg = 0; }
                if (rendelendo == lefoglaltMennyiseg) { lefoglaltMennyiseg = 0; }
                if (rendelendo < lefoglaltMennyiseg) { lefoglaltMennyiseg = lefoglaltMennyiseg - rendelendo; }
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool arsavLekerdezes(out List<arsav> arsavLista)
        {

            arsavLista = new List<arsav>();

            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT Arsav.ID_ARSAV , Arsav.szorzo FROM Arsav";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();

                while (sqlRd.Read())
                {
                    arsavLista.Add(new arsav(Convert.ToInt32(sqlRd[0].ToString()), float.Parse(sqlRd[1].ToString())));
                    
                }
                sqlRd.Close();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool arsavIdTOarsavLekerdezes(int arsavID,out List<arsav> arsavLista)
        {

            arsavLista = new List<arsav>();

            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT *FROM Arsav WHERE ID_ARSAV = '"+arsavID.ToString()+"'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();

                while (sqlRd.Read())
                {
                    arsavLista.Add(new arsav(Convert.ToInt32(sqlRd[0].ToString()), float.Parse(sqlRd[1].ToString())));

                }
                sqlRd.Close();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool cegRegisztracio(string cegNev, string varos, string utca, string hazsz, string irsz, int hkeret, int arsID, string adoszam, string euadoszam, string bankszamlaszam)
        {       
            string sqlparancs;
            try
            {

                sqlparancs = "INSERT INTO Ceg (cegnev,varos,utca,hazszam,irszam,hitelkeret,ID_ARSAV, adoszam, euadoszam, bankszamlaszam) VALUES ('" + cegNev + "','" + varos + "', '" + utca + "','" + hazsz + "','" + irsz + "'," + hkeret.ToString() + "," + arsID.ToString() + "," + adoszam +" , " + euadoszam + "," + bankszamlaszam +")";



                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();


                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool cegListaLekerdezes(out List<cegLista> cegLista)
        {
            cegLista = new List<cegLista>();            
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                //Ceg.ID_CEG , Ceg.cegnev , Ceg.varos , Ceg.utca , Ceg.hazszam , Ceg.irszam , Ceg.hitelkeret , Ceg.ID_ARSAV
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT  *FROM Ceg";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    cegLista.Add(new cegLista(Convert.ToInt32(sqlRd[0].ToString()) , sqlRd[1].ToString() , sqlRd[2].ToString() , 
                                              sqlRd[3].ToString() , sqlRd[4].ToString() , sqlRd[5].ToString() , Convert.ToInt32(sqlRd[6].ToString()) , Convert.ToInt32(sqlRd[7].ToString()),
                                              sqlRd[8].ToString(), sqlRd[9].ToString(), sqlRd[10].ToString() ));            

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool cegAdatokLekerdezes(int cegID, out cegLista cegLista)
        {
            cegLista = new cegLista();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT  *FROM Ceg WHERE ID_CEG="+ cegID.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    cegLista = new cegLista(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[2].ToString(),
                                              sqlRd[3].ToString(), sqlRd[4].ToString(), sqlRd[5].ToString(), Convert.ToInt32(sqlRd[6].ToString()), Convert.ToInt32(sqlRd[7].ToString()),
                                              sqlRd[8].ToString(), sqlRd[9].ToString(), sqlRd[10].ToString(), Convert.ToInt32(sqlRd[11].ToString()));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool szCimLekerdezCegIDalapjan(int cegID, out List<szallitasicim> szCimLista)
        {
            szCimLista = new List<szallitasicim>();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT * FROM Szallitasicim WHERE ID_CEG ="+cegID.ToString() + " ORDER BY irszam";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    szCimLista.Add(new szallitasicim(Convert.ToInt32(sqlRd[1].ToString()),Convert.ToInt32(sqlRd[0].ToString()),sqlRd[2].ToString(),sqlRd[3].ToString(),sqlRd[4].ToString(),Convert.ToInt32(sqlRd[5].ToString())));
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool adoszamToCEGID(string adoszam, out int cegID)
        {
            cegID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_CEG FROM Ceg WHERE adoszam='"+adoszam.ToString()+"'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                cegID = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool nevTocegListaLekerdezes(string  cegnev, out cegLista cegLista)
        {
            //cegLista = new List<cegLista>();
            cegLista = new cegLista();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                //Ceg.ID_CEG , Ceg.cegnev , Ceg.varos , Ceg.utca , Ceg.hazszam , Ceg.irszam , Ceg.hitelkeret , Ceg.ID_ARSAV
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT  *FROM Ceg WHERE cegnev = '"+cegnev.ToString()+"'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    cegLista = new cegLista(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[2].ToString(),
                                              sqlRd[3].ToString(), sqlRd[4].ToString(), sqlRd[5].ToString(), Convert.ToInt32(sqlRd[6].ToString()), Convert.ToInt32(sqlRd[7].ToString()),
                                              sqlRd[8].ToString(), sqlRd[9].ToString(), sqlRd[10].ToString());

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }       
        public static bool cegListaUpdate(int cegID,string cegNev, string varos, string utca, string hazszam, string irszam ,int hitelkeret, int arsavID, string adoszam, string euadoszam, string bankszamlaszam)
        {
            string sqlparancs = "";
            try
            {

                sqlparancs = "UPDATE Ceg SET cegnev = '" +cegNev+ "', varos = '" + varos+ "', utca ='" + utca + "' , hazszam = '" 
                            + hazszam + "', irszam ='" + irszam +"', hitelkeret = "
                            + hitelkeret.ToString() + ", ID_ARSAV = "+ arsavID.ToString() +", adoszam = '" + adoszam + "', euadoszam = '" + euadoszam + "',bankszamlaszam = '" + bankszamlaszam + "' WHERE ID_CEG=" + cegID.ToString();


                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();

                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool szallitasicimRogzites(int cegID, string varos, string utcaHazszam, string irszam,int kontaktID)
        {
            string sqlparancs;
            try
            {
                sqlparancs = "INSERT INTO Szallitasicim (ID_CEG,varos,utcahazszam,irszam,ID_KONTAKT) VALUES ('" + cegID.ToString() + "','" + varos + "', '" + utcaHazszam + "','" + irszam + "','" + kontaktID.ToString() +"')";

                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;

            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool beosztasLekerdez(out List<beosztas> beosztasLista)
        {
            beosztasLista = new List<beosztas>();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT  *FROM Beosztas";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                   beosztasLista.Add(new beosztas(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString()));
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool beosztNevToIdLekerdez(int beosztasID, out string beosztMegnev)
        {
            beosztMegnev = "";
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT beosztas FROM Beosztas WHERE ID_BEOSZTAS='"+beosztasID.ToString()+"'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                beosztMegnev = (string)parancs.ExecuteScalar();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool szCimIdToKontakt(int szCimId, out kontakt Kontakt)
        {
            Kontakt = new kontakt();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT  *FROM Kontakt WHERE ID_SZCIM="+ szCimId.ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                   Kontakt = new kontakt(Convert.ToInt32(sqlRd[0].ToString()), Convert.ToInt32(sqlRd[1].ToString()),Convert.ToInt32(sqlRd[2].ToString()),
                                                 Convert.ToInt32(sqlRd[3].ToString()),sqlRd[4].ToString(),sqlRd[5].ToString(),sqlRd[6].ToString(),sqlRd[7].ToString(),sqlRd[8].ToString());
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kontaktRogzit(int szCimID, int beosztasID, string kontaktnev, string telszam, string faxszam, string mobil, string email)
        {
            string sqlparancs;
            try
            {
                sqlparancs = "INSERT INTO Kontakt (ID_SZCIM,ID_BEOSZTAS,nev,telefon,fax,mobil,email) VALUES ('" + szCimID.ToString() + "','" + beosztasID.ToString() + "','" + kontaktnev.ToString() + "','" + telszam.ToString() + "','" + faxszam.ToString() + "','" + mobil.ToString() + "','" + email.ToString() +"')";

                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;

            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kontaktRogzitCEGID(int cegID, int beosztasID, string kontaktnev, string telszam, string faxszam, string mobil, string email, string UserName)
        {
            string sqlparancs;
            int idSzcim = 1;
            try
            {

                sqlparancs = "INSERT INTO Kontakt (ID_CEG,ID_SZCIM,ID_BEOSZTAS,nev,telefon,fax,mobil,email,UserName) VALUES (" + cegID.ToString() + "," + idSzcim.ToString() +"," + beosztasID.ToString() + ",'" + kontaktnev + "','" + telszam + "','" + faxszam + "','" + mobil + "','" + email + "','" + UserName + "')";
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;

            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kontaktszCimIdUpdate(int szCimID)
        {
            string sqlparancs = "";
            try
            {


                sqlparancs = "UPDATE Kontakt SET ID_SZCIM=" + szCimID.ToString() + " WHERE ID_SZCIM=0";


                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();

                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kontaktDelete(int kontaktID)
        {
            string sqlparancs = "";
            try
            {


                sqlparancs = "DELETE FROM Kontakt WHERE ID_KONTAKT='"+kontaktID.ToString()+"'";


                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();

                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }        
        public static bool szcimKontaktIdUpdate(int kontaktID)
        {
            string sqlparancs = "";
            try
            {


                sqlparancs = "UPDATE Szallitasicim SET ID_KONTAKT=" + kontaktID.ToString() + "WHERE ID_KONTAKT=0";


                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();

                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool szcimIdTOkontaktIdLekerdez(int szCimID, out int kontaktID)
        {
            kontaktID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                //kapcsolat.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["webShopDB"].ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_Kontakt FROM Kontakt WHERE ID_SZCIM='" + szCimID.ToString() + "'";
                kapcsolat.Open();
                kontaktID = (int)parancs.ExecuteScalar();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kontaktIDszcimIdLekerdez(int kontaktID, out int szcimID)
        {
            szcimID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_SZCIM FROM Szallitasicim WHERE ID_KONTAKT='" + kontaktID.ToString() + "'";
                kapcsolat.Open();
                szcimID = (int)parancs.ExecuteScalar();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kontaktLekerdez(int cegID, out List<kontakt> kontaktLista)
        {
            kontaktLista = new List<kontakt>();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT  *FROM Kontakt WHERE ID_CEG='" + cegID.ToString() + "'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                        kontaktLista.Add(new kontakt(Convert.ToInt32(sqlRd[0].ToString()), Convert.ToInt32(sqlRd[1].ToString()), Convert.ToInt32(sqlRd[2].ToString()),
                                                     Convert.ToInt32(sqlRd[3].ToString()), sqlRd[4].ToString(), sqlRd[5].ToString(), sqlRd[6].ToString(), sqlRd[7].ToString(), sqlRd[8].ToString()));   
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool gyartoKat1IdLekerdez(out List<gyartoKat1ID> gyartoLista)
        {
            gyartoLista = new List<gyartoKat1ID>();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT  *FROM kategoria1";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    gyartoLista.Add(new gyartoKat1ID(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(),Convert.ToInt32(sqlRd[2].ToString()), sqlRd[3].ToString() ));
                    
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool termekmanagerLekerdezes(int disztriKontaktID, out disztriKontakt disztriKontakt)
        {
            disztriKontakt = new disztriKontakt();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT  *FROM Disztrikontakt WHERE ID_DISZTRIKONTAKT = '" + disztriKontaktID.ToString() + "'";
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    disztriKontakt = new disztriKontakt(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[2].ToString(), sqlRd[3].ToString());

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool termekKeres(string feltetel,out List<termekLista> termekLista)
        {
            termekLista = new List<termekLista>();
            
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT *FROM Eszkoz WHERE cikkszam LIKE '%"+feltetel.ToString()+"%' OR megnevezes LIKE '%"+feltetel.ToString()+"%' OR termekleiras LIKE '%"+feltetel.ToString()+"%'";

                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {

                    termekLista.Add(new termekLista(Convert.ToInt32(sqlRd[0].ToString()), sqlRd[1].ToString(), sqlRd[6].ToString(), sqlRd[7].ToString(), Convert.ToInt32(sqlRd[8].ToString()), sqlRd[9].ToString()));

                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool legnagyobbMegrendSzamLekerdez(out int legnagyobbMegrendSzam)
        {
            legnagyobbMegrendSzam = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT MAX(megrendelesszam) FROM Megrendeles";
                kapcsolat.Open();
                legnagyobbMegrendSzam = (int)parancs.ExecuteScalar();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }

        }
        public static bool felhasznaloIdToCEGID(int felhasznaloID, out int cegID)
        {
            cegID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_CEG FROM Kontakt WHERE ID_KONTAKT=" + felhasznaloID.ToString();
                kapcsolat.Open();
                cegID = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool megrendelesRogzit(int megrendelesszam, int cegID, int szallitasiCimID, int eszkozID, int eszkozAr, int mennyiseg, string megjegyzes, int reszszallitas)
        {
            try
            {
                string sqlparancs = "INSERT INTO Megrendeles (megrendelesszam, datum, ID_CEG, ID_SZCIM, ID_ESZKOZ, eszkozar, eszk_darabszam, megjegyzes, reszszallitas, szallitva_dbszam) VALUES ("+megrendelesszam.ToString()+",'"+DateTime.Now.ToString()+"',"+cegID.ToString()+","+szallitasiCimID.ToString()+","+eszkozID.ToString()+","+eszkozAr.ToString()+","+mennyiseg.ToString()+",'"+megjegyzes+"',"+reszszallitas.ToString()+",'0')";
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool megrendLekerdezCegID(int cegID, out List<megrendeles> megrendeles)
        {
            megrendeles = new List<megrendeles>();
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT *FROM Megrendeles WHERE ID_CEG =" + cegID.ToString();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    megrendeles.Add(new megrendeles(Convert.ToInt32(sqlRd[0].ToString()), Convert.ToInt32(sqlRd[1].ToString()), Convert.ToDateTime(sqlRd[2].ToString())
                        , Convert.ToInt32(sqlRd[3].ToString()), Convert.ToInt32(sqlRd[4].ToString()), Convert.ToInt32(sqlRd[5].ToString()), Convert.ToInt32(sqlRd[6].ToString())
                        , Convert.ToInt32(sqlRd[7].ToString()), Convert.ToInt32(sqlRd[8].ToString()), sqlRd[9].ToString(), Convert.ToInt32(sqlRd[10].ToString())));
                }
                sqlRd.Close();
                kapcsolat.Close();
                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool kontaktUpdate(int kontaktID, string kontaktMob, string kontaktTel, string kontaktMail, string kontaktFax, int beosztasID)
        {

            string sqlparancs;
            try
            {
                sqlparancs = "UPDATE Kontakt SET telefon ='" + kontaktTel + "',email='" + kontaktMail+ "',mobil='"+kontaktMob+"',fax='" + kontaktFax+ "',ID_BEOSZTAS=" + beosztasID.ToString() + " WHERE ID_KONTAKT=" + kontaktID.ToString();

                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();

                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();


                return true;

            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool UserNameToCegID(string userNev, out int cegID)
        {
            cegID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_CEG FROM Kontakt WHERE UserName = '" + userNev + "'";
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    cegID = Convert.ToInt32(sqlRd[0].ToString());
                }
                sqlRd.Close();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool UserNameToKontaktID(string userNev, out int kontaktID)
        {
            kontaktID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();

                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_KONTAKT FROM Kontakt WHERE UserName = '" + userNev + "'";
                kapcsolat.Open();
                SqlDataReader sqlRd = parancs.ExecuteReader();
                while (sqlRd.Read())
                {
                    kontaktID = Convert.ToInt32(sqlRd[0].ToString());
                }
                sqlRd.Close();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool cegIdToArsav(int cegID, out int arsavID)
        {
            arsavID = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT ID_ARSAV FROM Ceg WHERE ID_CEG=" + cegID.ToString();
                kapcsolat.Open();
                arsavID = (int)parancs.ExecuteScalar();
                kapcsolat.Close();
                return true;
            }

            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool ArsavLekerdez(int arsavID, out double szorzo)
        {
            szorzo = 0;
            try
            {
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = "SELECT szorzo FROM Arsav WHERE ID_ARSAV = " + arsavID.ToString();
                kapcsolat.Open();
                szorzo = (double)parancs.ExecuteScalar();
                kapcsolat.Close();

                return true;
            }
            catch (Exception ex)
            {
                return false;
            }
        }
        public static bool palyazoRogzit(string keresztnev,string vezeteknev,string szulhely,string szulido,string allando_cim,string lev_cim,string telefon,string email,string egyeb,string ref_szam,string oneletrajz)
        {
            string sqlparancs;
            
            try
            {

                sqlparancs = "INSERT INTO Palyazok (keresztnev,vezeteknev,szulhely,szulido,allando_cim,lev_cim,telefon,email,egyeb,ref_szam,oneletrajz) VALUES ('" + keresztnev + "','" + vezeteknev + "','" + szulhely + "','" + szulido + "','" + allando_cim + "','" + lev_cim + "','" + telefon + "','" + email + "','" + egyeb + "','" + ref_szam +"','" + oneletrajz +"')";
                SqlConnection kapcsolat = new SqlConnection();
                kapcsolat.ConnectionString = ConfigurationManager.ConnectionStrings["webShopDB"].ToString();
                SqlCommand parancs = new SqlCommand();
                parancs.Connection = kapcsolat;
                parancs.CommandText = sqlparancs;
                kapcsolat.Open();
                parancs.ExecuteNonQuery();
                kapcsolat.Close();
                return true;

            }
            catch (Exception ex)
            {
                return false;
            }
        }
    }
}
